package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.HttpCommAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.parser.FileParserUtil;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/SendShortMsgAction.class */
public class SendShortMsgAction extends HttpCommAction {
    private String smsPhoneNoField;
    private String smsContentFormat;

    public String execute(Context context) throws TranFailException {
        try {
            String smsPhoneNo = (String) context.getDataValue(this.smsPhoneNoField);
            String smsContent = variableAnalyzer(context, this.smsContentFormat);
            String smsFlowNo = "PB" + LifeDBAccess.getSequenceNo("PB_SMS_FLOW_NO");
            context.put("smsPhoneNo", smsPhoneNo);
            context.put("smsContent", smsContent);
            context.put("smsFlowNo", smsFlowNo);
            return super.execute(context);
        } catch (Exception ex) {
            Trace.logError("LifeAction", "EBPB0902::发送手机短信失败", ex);
            throw new TranFailException("EBPB0902", "发送手机短信失败", false);
        }
    }

    private static String variableAnalyzer(Context context, String logStr) {
        int index = 0;
        String fieldValue = "";
        StringBuffer subContent = new StringBuffer();
        String searchTag = searchTag(logStr, 0, "${", "}");
        while (true) {
            String tag = searchTag;
            if (!tag.equals("NOTAG")) {
                String fieldStr = trimTag(tag, "${", "}");
                subContent.append(logStr.substring(index, logStr.indexOf(tag, index)));
                if (fieldStr.indexOf("|") >= 0) {
                    String fieldName = fieldStr.split("\\|")[0];
                    try {
                        fieldValue = (String) context.getDataValue(fieldName);
                    } catch (GENEException unused) {
                    }
                    String format = fieldStr.split("\\|")[1];
                    subContent.append(FileParserUtil.transformFormat(fieldValue, (format == null || format.length() != 0) ? format : null));
                } else {
                    try {
                        subContent.append((String) context.getDataValue(fieldStr));
                    } catch (GENEException unused2) {
                    }
                }
                index = logStr.indexOf(tag, index) + tag.length();
                searchTag = searchTag(logStr, index, "${", "}");
            } else {
                subContent.append(logStr.substring(index, logStr.length()));
                return subContent.toString();
            }
        }
    }

    private static String searchTag(String str, int index, String startWith, String endWith) {
        int index2;
        int index1 = str.indexOf(startWith, index);
        if (index1 == -1 || (index2 = str.indexOf(endWith, index)) == -1) {
            return "NOTAG";
        }
        if (index2 == index1 + 2) {
            return "";
        }
        return str.substring(index1, index2 + endWith.length());
    }

    private static String trimTag(String tag, String startWith, String endWith) {
        int index1 = tag.indexOf(startWith);
        int index2 = tag.indexOf(endWith);
        return tag.substring(index1 + startWith.length(), index2).trim();
    }

    public String getSmsPhoneNoField() {
        return this.smsPhoneNoField;
    }

    public void setSmsPhoneNoField(String smsPhoneNoField) {
        this.smsPhoneNoField = smsPhoneNoField;
    }

    public String getSmsContentFormat() {
        return this.smsContentFormat;
    }

    public void setSmsContentFormat(String smsContentFormat) {
        this.smsContentFormat = smsContentFormat;
    }
}
